# Count
execute store result score customer_come entity_count if entity @e[tag=customer_come_mind]
execute store result score customer_queue entity_count if entity @e[tag=customer_queue_mind]
execute store result score customer_waiting entity_count if entity @e[tag=customer_waiting_mind]
execute store result score customer_waiting_food entity_count if entity @e[tag=customer_waiting_food_mind]
execute store result score customer_eat entity_count if entity @e[tag=customer_eat_mind]
execute store result score chair entity_count if entity @e[tag=chair_sit_complete,tag=!chair_used]
function main:system/fix

# Player
execute as @e[tag=tablet_ui] at @s run function plrcomputer_menu:detect_item2
execute as @a at @s run function main:player/player
execute as @e[type=interaction,tag=ingredient_spot] at @s on target as @s[nbt={SelectedItem:{tag:{ingredient:1}}}] run function main:player/ingredient/stock
execute as @e[type=interaction,tag=ingredient_spot] at @s on attacker run function main:player/ingredient/info
execute as @e[tag=main_interaction,tag=stove] at @s run function main:system/kitchen/cooking/cooking_loop
# Sleep
execute as @a[scores={sleep_in_bed=1..}] as @e[tag=energy_system,tag=!player_sleep] at @s run function main:player/sleep/start_sleep
execute as @e[tag=player_sleep,scores={timer_tick=..0}] run function main:player/sleep/sleep
# Place
execute as @e[type=firework_rocket,nbt={FireworksItem:{tag:{main_items:1}}}] at @s run function main:place_destroy/place
execute as @e[tag=spawn_block_kill] at @s run function main:place_destroy/place_spawnegg_kill
execute as @e[tag=spawn_block] at @s run function main:place_destroy/place_spawnegg
# Destroy
execute as @e[tag=main_blocks] at @s run function main:place_destroy/destroy
# Trigger
execute as @a[scores={Refresh=1..}] run function main:trigger/refresh
execute as @a[scores={ResetData=1..}] run function main:trigger/resetdata
execute as @a[scores={ResetBuild=1..}] run function main:trigger/resetbuild
execute as @a[scores={ResetAll=1..}] run function main:trigger/resetall
execute as @a[scores={Resetlobby=1..}] run function main:trigger/resetlobby
execute as @a[scores={Cheat=1..}] run function main:trigger/cheat
execute as @a[scores={Sit=1..}] at @s run function main:trigger/sit/sit
execute if score lobby_timer_start system matches 0.. run function main:lobby/start_loop

# Random
execute as @e[scores={RND=1..}] at @s run function main:random_choice/number
execute as @e[scores={random_timer=1..}] at @s run scoreboard players remove @s random_timer 1

# Other System
execute as @e[tag=timer] at @s run function main:timer
execute as @e[tag=npc_table_set] at @s run function main:system/npc_table_set/chair_part
execute as @e[tag=money_system,limit=1] at @s run function main:system/money/loop
execute as @e[tag=ingredient_display] at @s run function main:system/display/ingredient
execute as @e[tag=rating_display] at @s run function main:system/display/rating
execute as @e[tag=notif_display] at @s run function main:system/display/notif
execute as @e[tag=energy_system,limit=1] at @s run function main:system/energy
execute as @e[tag=employ_system] at @s run function main:system/employ/loop
execute as @e[tag=all_arcade_game] at @s run function main:system/arcade/loop
function main:system/world_time

# Customer Come and Baxck
execute as @e[tag=customer_come] at @s run function main:npc/customer_come/loop
execute as @e[tag=customer_back] at @s run function main:npc/customer_back/loop
execute as @e[tag=customer_back_base] at @s as @e[tag=customer_back,distance=..4,sort=nearest,limit=1] run function main:npc/npc_kill
# customer
execute as @e[tag=customer_guide] at @s run function main:npc/customer_mind/customer_guide
execute as @e[tag=customer_back_guide] at @s run function main:npc/customer_mind/customer_back_guide
execute as @e[tag=customer_come_mind,tag=!death_time] at @s if entity @s[predicate=!main:customer/customer_come] run function main:npc/customer_mind/order_come
execute as @e[tag=customer_queue_mind,tag=!death_time] at @s if entity @s[predicate=!main:customer/customer_queue] run function main:npc/customer_mind/queue_cancel
execute as @e[tag=customer_waiting_mind,tag=!death_time] at @s if entity @s[predicate=!main:customer/customer_waiting] run function main:npc/customer_mind/waiting_cancel
execute as @e[tag=customer_waiting_food_mind,tag=!death_time] at @s if entity @s[predicate=!main:customer/customer_waiting_food] run function main:npc/customer_waiting_food/waiting_food_cancel
execute as @e[tag=customer_eat_mind,tag=!death_time] at @s if entity @s[predicate=!main:customer/customer_eat] run function main:npc/customer_mind/customer_eat
execute as @e[tag=customer_mind,tag=!death_time] if entity @s[predicate=!main:customer/customer] run tag @s add death_time
execute as @e[tag=customer_text_info] if entity @s[predicate=!main:customer/customer_mind] run kill @s
execute as @e[tag=customer_text_info_2] if entity @s[predicate=!main:customer/text_info] run kill @s
execute as @e[tag=death_time] at @s run function main:npc/customer_mind/kill

# Queque
execute as @e[tag=customer_queue_mind] at @s run function main:npc/customer_queue/queue
execute as @e[tag=customer_come_trigger] at @s as @e[tag=customer_come,distance=..4,sort=nearest,limit=1] run function main:npc/customer_queue/queue_start
execute as @e[tag=take_orders,tag=!wait_order] at @s if score active_waiter employ matches 0 if data entity @s interaction run function main:npc/customer_queue/order_start
execute as @e[tag=take_orders,tag=!wait_order] at @s if score active_waiter employ matches 1 run function main:npc/customer_queue/order_start
execute as @e[tag=take_orders,tag=wait_order] as @e[tag=customer_queue_mind,scores={random_timer=0},limit=1] if score @s customer_queue matches 1 on vehicle run function main:npc/customer_queue/take_orders
execute as @e[tag=chair_sit_complete] at @s run function main:system/npc_table_set/chair_used

# Waiting
execute as @e[tag=customer_waiting_mind] at @s run function main:npc/customer_waiting/loop
execute as @e[tag=customer_waiting_food_mind] at @s run function main:npc/customer_waiting_food/loop
# Eat
execute as @e[tag=customer_eat_mind] at @s run function main:npc/customer_eat/loop

# Order Done
execute as @e[tag=order_done_base] at @s run function main:system/kitchen/order/order_done_base
# Random Spawn
execute as @e[tag=customer_come_system] at @s run function main:npc/customer_come/come_base

execute as @e[tag=main_interaction] if data entity @s interaction run data remove entity @s interaction
execute as @e[tag=main_interaction] if data entity @s attack run data remove entity @s attack

execute as @e[tag=motion_projectile,tag=!motion_added] at @s rotated as @p run function main:motion_projectile/apply_motion
execute as @e[tag=tnt_throw_entity,nbt={Fuse:1s}] at @s run function main:motion_projectile/tnt_explode
execute store result score day day_detect run time query daytime

# UI Menu
execute as @e[tag=ui_entity] at @s run function ui_menu:loop

# Tablet
execute as @e[tag=tablet_ui] at @s if entity @a[distance=..8] run function plrcomputer_menu:update
execute as @a at @s run function plrcomputer_menu:check

execute as @e[tag=trash_bin] at @s if entity @a[distance=..8] run data remove block ~ ~ ~ Items
execute as @e[tag=trash_bin_model] at @s run data modify entity @s Fire set value 2


clear @a #main:item_ui{item_ui:1}
kill @e[type=item,nbt={Item:{tag:{item_ui:1}}}]
kill @e[tag=items_drop]

scoreboard players reset @a drink_honey
scoreboard players reset @a eat_stew
scoreboard players reset @a eat_gapple
scoreboard players reset @a Rightclick
scoreboard players reset @a place_firework
scoreboard players reset @a place_spawn
scoreboard players reset @e sleep_in_bed
execute as @a[scores={walk=1..}] run scoreboard players set @s walk 0
